---
title: RTCIceCandidatePairStats.requestsSent
slug: Web/API/RTCIceCandidatePairStats/requestsSent
tags:
  - API
  - Connectivity
  - ICE
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - STUN
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - requestsSent
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} dictionary's <strong><code>requestsSent</code></strong> property indicates the total number of {{Glossary("STUN")}} connectivity check requests that have been sent so far on the connection described by this pair of candidates.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>requestsSent</em> = <em>rtcIceCandidatePairStats</em>.requestsSent;</pre>

<h3 id="Value">Value</h3>

<p>An integer value which specifies the number of STUN connectivity requests that have been sent to date on the connection described by this pair of {{Glossary("ICE")}} candidates.</p>

<div class="notecard note">
<p><strong>Note:</strong> The reported number of requests <em>does not</em> include retransmissions. If a request had to be repeated due to network issues, it will be counted multiple times here. This differs from {{domxref("RTCIceCandidatePairStats.requestsReceived", "requestsReceived")}}, which <em>does</em> include retransmisions.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-requestssent', 'RTCIceCandidatePairStats.requestsSent') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.requestsSent")}}</p>
